/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.vutbr.fit.gja.seleniumipcalculator;


import java.io.File;
import java.io.IOException;
import org.apache.commons.io.FileUtils;

import org.openqa.selenium.By;
import org.openqa.selenium.OutputType;
import org.openqa.selenium.TakesScreenshot;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.firefox.FirefoxDriver;
/**
 * Example of Selenium driver usage
 */
public class IPCalculatorTest {
  
  /**
   * Main method - gets suggestions from Google
   * @param args Command line arguments
   * @throws java.io.IOException if saving of screenshot fails
   */
  public static void main(String[] args) throws IOException {
    /* inicializace webdriveru*/
    System.setProperty("webdriver.gecko.driver", "D:\\Apps\\webdriver\\geckodriver.exe");
    WebDriver driver = new FirefoxDriver();
    
    /* přejití na url projektu */
    driver.get("http://localhost:8080/IPCalculator");  // Open URL
    
    /* Vyplnění polí */
    WebElement element = driver.findElement(By.className("gwt-TextBox-addr"));
    element.sendKeys("192.168.1.25\n");
    element = driver.findElement(By.className("gwt-TextBox-mask")); 
    element.sendKeys("255.255.255.0\n"); 
    
    // kliknutí na tlačítko
    element = driver.findElement(By.className("gwt-Button")); 
    element.click();
    
    
    /* kontrola zda se výpočet proběhl správně */
    element = driver.findElement(By.className("gwt-Label-net"));
    String net = element.getText();
    element = driver.findElement(By.className("gwt-Label-bcast"));
    String bcast = element.getText();
    
    if("192.168.1.0".equals(net) && "192.168.1.255".equals(bcast)) {
        System.out.println("Selenium test - OK");
    } else {
        System.out.println("Selenium test - FAIL");
    }
  
    
    /* vytvoření screenshotu */
    File scrFile = ((TakesScreenshot)driver).getScreenshotAs(OutputType.FILE);
    FileUtils.copyFile(scrFile, new File("screenshot.png"));
    /* ukončení */
    driver.quit();
  }
}
