package cz.vutbr.fit.gja;

import org.springframework.beans.factory.BeanFactory;
import org.springframework.beans.factory.xml.XmlBeanFactory;
import org.springframework.core.io.ClassPathResource;
import org.springframework.core.io.Resource;

/**
 * Basic hello world example for common Student object bean
 *
 */
public class BasicExample {

	public static void main(String[] args) {
		Resource resource = new ClassPathResource("Beans.xml"); // Load bean list as resource from class path
		BeanFactory factory = new XmlBeanFactory(resource); // Make factory from the list

		Student student = (Student) factory.getBean("studentbean"); // Get example student bean
		student.displayName();
	}

}
