package cz.vutbr.fit.gja.annotationBasedConfiguration;

import org.springframework.context.support.AbstractApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

/**
 * Basic annocation based configuration example.
 * Beans are created from local Beans.xml file and creates Student instance based on annotations found in Student.java file
 * This also demonstrates autowiring based on annotations 
 * 
 */
public class AnnocationBasedConfigurationExample {

	public static void main(String[] args) {
		// Load context, get Student instance and print its info as it gets autowired
		AbstractApplicationContext context = new ClassPathXmlApplicationContext("cz/vutbr/fit/gja/annotationBasedConfiguration/Beans.xml");
		Student student = (Student) context.getBean("student");
		student.showInfo();
	}

}
