package cz.vutbr.fit.gja.beanFactory;

import org.springframework.beans.factory.BeanFactory;
import org.springframework.beans.factory.xml.XmlBeanFactory;
import org.springframework.core.io.ClassPathResource;
import org.springframework.core.io.Resource;

import cz.vutbr.fit.gja.Student;

/**
 * Simple bean factory example.
 *
 */
public class BeanFactoryExample {
	
	public static void main(String[] args) {
		Resource resource = new ClassPathResource("Beans.xml");
		BeanFactory factory = new XmlBeanFactory(resource);

		Student student = (Student) factory.getBean("studentbean");
		student.displayName();
	}
	
}
