package cz.vutbr.fit.gja.javaBasedConfiguration;

import org.springframework.context.annotation.AnnotationConfigApplicationContext;

/**
 * Basic Java based configuration example
 *
 */
public class JavaBasedConfigurationExample {

	public static void main(String[] args) {
		// Create context, don't load anything from any file
		AnnotationConfigApplicationContext context = new AnnotationConfigApplicationContext();
		context.register(StudentConfig.class, SchoolConfig.class);
		context.refresh();

		// Create first student
		Student student = (Student) context.getBean("student");
		student.showInfo();
		
		// Create another student
		Student student2 = (Student) context.getBean("student");
		student2.showInfo();
	}

}
