package cz.vutbr.fit.gja.javaBasedConfiguration;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Scope;

/**
 * Basic Student configuration object
 *
 */
@Configuration
public class StudentConfig {

	@Bean
	@Scope("prototype")
	public Student student() {
		return new Student(school(), "Student made from studentConfig");
	}

	@Bean
	public School school() {
		return new School("School made from studentConfig");
	}
}
