<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Welcome Page</title>
    </head>
    <body>
        <h2>Servlet Examples</h2>
        <p>This is a collection of samples demonstrates the usage of different
            parts of the Servlet specification.</p>
        <p>These examples will only work when these pages are being served by the
            ServletRunner. They will not work if you are viewing these pages via a
            "file://..." URL.</p>
        <p>Each example is thoroughly explained in the source code.</p>
        
        <h3>Hello World Servlet</h3>
        <p>Type your name below so we can welcome you here!</p>

        <p>This form will call the POST method.</p>
        <!-- set action attribute to the servlet-name (as defined in web.xml) to call the servlet -->
        <form action="HelloWorld" method="post">
            <p>Name:</p>
            <input type="text" name="name">
            <input type="submit" value="Submit">
        </form>

        <p>This form will call the GET method.</p>
        <form action="HelloWorld" method="get">
            <p>Name:</p>
            <input type="text" name="name">
            <input type="submit" value="Submit">
        </form>

        <h3>Error Handler Servlet</h3>
        <p>To test the Error Handler Servlet click on this <a href="./some-hopefully-not-existing-page">link</a> to redirect to (hopefully) not existing page.</p>

        <h3>Upload Servlet</h3>
        <p>Select a file to upload:</p>
        <form action="UploadServlet" method="post" enctype="multipart/form-data">
            <input type="file" name="file" size="50" />
            <input type="submit" value="Upload File" />
        </form>
    </body>
</html>