import java.rmi.Remote;
import java.rmi.RemoteException;

/* Client can use this interface without implementing it.
 * Instead, implementation is on the server
 */
public interface RMIServerInterface extends Remote { // Every remotely callable class extends Remote
    String respond() throws RemoteException;    // Every remote method throws RemoteException
}