package cz.vutbr.fit.gja.applicationContext;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import cz.vutbr.fit.gja.Student;

/**
 * Basic application context example. This file demonstrates one of few possible ways to retrieve object from beans.
 * Reference Beans.xml file is used here as no special files are needed.
 *
 */
public class ApplicationContextExample {

	public static void main(String[] args) {
		ApplicationContext context = new ClassPathXmlApplicationContext("Beans.xml");
		Student student = (Student) context.getBean("studentbean");
		student.displayName();
	}

}
