package cz.vutbr.fit.gja.collectionInjection;

import org.springframework.context.support.AbstractApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

/**
 * Advanced collection injection example
 *
 */
public class CollectionInjectionExample {
	public static void main(String[] args) {
		// Create context
		AbstractApplicationContext context = new ClassPathXmlApplicationContext("cz/vutbr/fit/gja/collectionInjection/Beans.xml");
		
		// Find bean
		School school = (School) context.getBean("school");
		
		// Show all students
		school.showStudents();
		
		// Show all courses
		school.showCourses();

	}
}
