package cz.vutbr.fit.gja.javaBasedConfiguration;

/**
 * Basic Student object
 *
 */
public class Student {

	/**
	 * Instance order counters
	 */
	private static int instancesCounter = 0;
	private final int ID;

	private String name;

	private School school;

	public Student(School school, String name) {
		ID = instancesCounter++;
		this.school = school;
		this.name = name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getName() {
		return name;
	}

	public School getSchool() {
		return school;
	}

	public void setSchool(School school) {
		this.school = school;
	}

	public void displaySchoolName() {
		school.displayName();
	}

	public void showInfo() {
		System.out.println("Student ID: " + ID);
		System.out.println("Student name: " + name);
		System.out.println("Students school: " + school);

	}
}
