<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8"%>
<%@ page import = "java.io.*,java.util.*" %>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>HTTP Header Request Example</title>
    </head>
    <body>
        <!-- 
        The request object is an instance of a javax.servlet.http.HttpServletRequest 
        object. Each time a client requests a page, the JSP engine creates a new object 
        to represent that request.

        The request object provides methods to get HTTP header information including 
        form data, cookies, HTTP methods, etc.
        -->
        <center>
            <h2>Working with HttpServletRequest object</h2>
            
            <table width="100%" align="center" border="1">
                <tr>
                    <th>Header Name</th>
                    <th>Header Value(s)</th>
                </tr>
                <%
                    Enumeration headerNames = request.getHeaderNames();
                    while (headerNames.hasMoreElements()) {
                        String paramName = (String) headerNames.nextElement();
                        out.print("<tr><td>" + paramName + "</td>\n");
                        String paramValue = request.getHeader(paramName);
                        out.println("<td> " + paramValue + "</td></tr>\n");
                    }
                %>
            </table>
        </center>
        <!-- The include directive inserts another file into the file -->
        <%@ include file="/include/backToMainPage.jsp" %>
    </body>
</html>
