<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8"%>
<%@ page import = "java.io.*,java.util.*" %>
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>Auto Refresh Header Example</title>
    </head>
    <body>
        <!-- 
        The response object is an instance of a javax.servlet.http.HttpServletResponse object. 
        Just as the server creates the request object, it also creates an object to represent 
        the response to the client.

        The response object also defines the interfaces that deal with creating new HTTP headers. 
        Through this object, the JSP programmer can add new cookies or date stamps, HTTP status 
        codes etc.
        -->
        <center>
            <h2>Working with HttpServletResponse object</h2>
            <h3>Auto Refresh Header Example</h3>
            <%
                /* 
                This example use setIntHeader() method to set Refresh header 
                to simulate a digital clock
                */
                response.setIntHeader("Refresh", 1);

                // Get current time
                Calendar calendar = new GregorianCalendar();

                String am_pm;
                int hour = calendar.get(Calendar.HOUR);
                int minute = calendar.get(Calendar.MINUTE);
                int second = calendar.get(Calendar.SECOND);

                if (calendar.get(Calendar.AM_PM) == 0) {
                    am_pm = "AM";
                } else {
                    am_pm = "PM";
                }
                String CT = hour + ":" + minute + ":" + second + " " + am_pm;
                out.println("Current Time is: " + CT + "\n");
            %>
        </center>
        <!-- The include directive inserts another file into the file -->
        <%@ include file="/include/backToMainPage.jsp" %>
    </body>
</html>
