package cz.vutbr.fit.gja.primefaces;

import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import javax.faces.context.FacesContext;

@ManagedBean(name = "dropdownBean")
@ViewScoped
public class DropdownBean {

    private String country; 
    private String[] countries = new String[] {"Czech Republic", "Slovakia", "USA", "Canada"};
     
    public void displayLocation() {
        FacesMessage msg;
        if(getCountry() != null)
            msg = new FacesMessage("Selected " + getCountry());
        else
            msg = new FacesMessage(FacesMessage.SEVERITY_ERROR, "Invalid", "Country is not selected."); 
             
        FacesContext.getCurrentInstance().addMessage(null, msg);  
    }
    
    /**
     * @return the country
     */
    public String getCountry() {
        return country;
    }

    /**
     * @param country the country to set
     */
    public void setCountry(String country) {
        this.country = country;
    }

    /**
     * @return the countries
     */
    public String[] getCountries() {
        return countries;
    }

    /**
     * @param countries the countries to set
     */
    public void setCountries(String[] countries) {
        this.countries = countries;
    }
}
